## libdsme-meecolay 0.61.5maemo0

=== Makefile ===
#
# Build targets
#
A_LIBRARIES  := libdsme
SO_LIBRARIES := libdsme libdsme_dbus_if libthermalmanager_dbus_if

VERSION := 0.61.5

#
# Install files in this directory
#
INSTALL_PERM  := 644
INSTALL_OWNER := $(shell id -u)
INSTALL_GROUP := $(shell id -g)

INSTALL_A_LIBRARIES                   := libdsme.a
$(INSTALL_A_LIBRARIES) : INSTALL_DIR  := $(DESTDIR)/opt/meecolay/lib
INSTALL_SO_LIBRARIES                  := libdsme.so         \
                                         libdsme_dbus_if.so \
                                         libthermalmanager_dbus_if.so
$(INSTALL_SO_LIBRARIES): INSTALL_PERM := 755
$(INSTALL_SO_LIBRARIES): INSTALL_DIR  := $(DESTDIR)/opt/meecolay/lib
INSTALL_INCLUDES                      := include/dsme/protocol.h     \
                                         include/dsme/messages.h     \
                                         include/dsme/processwd.h    \
                                         include/dsme/state.h        \
                                         include/dsme/state_states.h \
                                         modules/dsme_dbus_if.h      \
                                         modules/thermalmanager_dbus_if.h
$(INSTALL_INCLUDES)    : INSTALL_DIR  := $(DESTDIR)/opt/meecolay/include/dsme
#INSTALL_OTHER                         := README
#README: INSTALL_DIR                   := $(DESTDIR)/usr/share/doc/dsme
INSTALL_OTHER                         := dsme.pc         \
                                         dsme_dbus_if.pc \
                                         thermalmanager_dbus_if.pc
dsme.pc                   : INSTALL_DIR  := $(DESTDIR)/opt/meecolay/lib/pkgconfig
dsme_dbus_if.pc           : INSTALL_DIR  := $(DESTDIR)/opt/meecolay/lib/pkgconfig
thermalmanager_dbus_if.pc : INSTALL_DIR  := $(DESTDIR)/opt/meecolay/lib/pkgconfig

#
# Compiler and tool flags
# C_OPTFLAGS are not used for debug builds (ifdef DEBUG)
# C_DBGFLAGS are not used for normal builds
#
C_GENFLAGS     := -DPRG_VERSION=$(VERSION) -pthread -g \
                  -Wall -Wwrite-strings -Wmissing-prototypes -Werror# -pedantic
C_OPTFLAGS     := -O2 -s
C_DBGFLAGS     := -g -DDEBUG -DDSME_LOG_ENABLE
C_DEFINES      := DSME_POSIX_TIMER DSME_WD_SYNC DSME_BMEIPC
C_INCDIRS      := $(TOPDIR)/include $(TOPDIR)/modules $(TOPDIR) 
MKDEP_INCFLAGS := $$(pkg-config --cflags-only-I glib-2.0)

LD_GENFLAGS := -pthread
LD_LIBPATHS := $(TOPDIR)

# If OSSO_DEBUG is defined, compile in the logging
#ifdef OSSO_LOG
C_OPTFLAGS += -DDSME_LOG_ENABLE
#endif

ifneq (,$(findstring DSME_BMEIPC,$(C_DEFINES)))
export DSME_BMEIPC = yes
endif

ifneq (,$(findstring DSME_MEMORY_THERMAL_MGMT,$(C_DEFINES)))
export DSME_MEMORY_THERMAL_MGMT = yes
endif

#
# Target composition and overrides
#


# libdsme.so and libdsme.a
protocol.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
message.o  : C_EXTRA_GENFLAGS := -fPIC
libdsme_C_OBJS                := protocol.o message.o
libdsme_EXTRA_LDFLAGS         := $$(pkg-config --libs glib-2.0)
libdsme.so : LIBRARY_VERSION  := 0.2.0

# libdsme_dbus_if.so
libdsme_dbus_if_C_OBJS                   := modules/dsme_dbus_if.o
modules/dsme_dbus_if.o: C_EXTRA_GENFLAGS := -fPIC
libdsme_dbus_if.so    : LIBRARY_VERSION  := 0.2.0

# libthermalmanager_dbus_if.so
libthermalmanager_dbus_if_C_OBJS := modules/thermalmanager_dbus_if.o
modules/thermalmanager_dbus_if.o: C_EXTRA_GENFLAGS := -fPIC
libthermalmanager_dbus_if.so    : LIBRARY_VERSION  := 0.2.0


#
# This is the topdir for build
#
TOPDIR := $(shell /bin/pwd)

#
# Non-target files/directories to be deleted by distclean
#
DISTCLEAN_DIRS	:=	doc tags

#DISTCLN_SUBDIRS := _distclean_tests

#
# Actual rules
#
include $(TOPDIR)/Rules.make

.PHONY: tags
tags:
	find . -name '*.[hc]'  |xargs ctags

.PHONY: doc
doc:
	doxygen


.PHONY: test
test: all
	make -C test depend
	make -C test
	make -C test run

=== debian/changelog ===
libdsme-meecolay (0.61.5maemo0) fremantle; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Tue, 19 Jun 2012 18:20:13 +0200

libdsme (0.61.5) unstable; urgency=low

  * add debian/api

 -- Semi Malinen <semi.malinen@nokia.com>  Sat, 03 Jul 2010 19:45:38 +0000

libdsme (0.61.4) unstable; urgency=low

  * add dsme_state_change_ind and dsme_get_state

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 20 May 2010 02:00:27 +0000

libdsme (0.61.3) unstable; urgency=low

  * minor change: drop prefix from DSME internal state names

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 18 May 2010 20:40:17 +0000

libdsme (0.61.2) unstable; urgency=low

  * add D-Bus i/f for Thermal Manager

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 31 Mar 2010 18:33:58 +0000

libdsme (0.61.1) unstable; urgency=low

  * add battery_empty_ind

 -- Semi Malinen <semi.malinen@nokia.com>  Fri, 20 Nov 2009 12:47:33 +0000

libdsme (0.61.0) unstable; urgency=low

  * Release for Harmattan

 -- Semi Malinen <semi.malinen@nokia.com>  Mon, 02 Nov 2009 15:48:09 +0000

libdsme (0.60.29) unstable; urgency=low

  * Fixes: NB#132619: Split libdsme into a separate source package

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 03 Sep 2009 11:16:47 +0300

dsme (0.60.28) unstable; urgency=low

  * Partial fix to NB#127466: remove a 2 s delay from shutdown
  * Once committed, do not stop thermal shutdown even if temps come down

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 02 Sep 2009 07:42:42 +0000

dsme (0.60.27) unstable; urgency=low

  * Fixes: NB#127507: partial fixes as follows
  * add high priority thread to kick hwwd's and wake up main thread
  * call g_thread_init()
  * protect all threads from OOM killer

 -- Semi Malinen <semi.malinen@nokia.com>  Sun, 23 Aug 2009 14:30:46 +0000

dsme (0.60.26) unstable; urgency=low

  * Fixes: NB#127507: partial fixes as follows
  * use helper app to avoid being non-async-signal-safe before exec
  * use -pthread gcc flag all over
  * only try to open thermal tuning file while in TA test
  * offload alarm state saving to the logger thread

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 18 Aug 2009 10:07:14 +0000

dsme (0.60.25) unstable; urgency=low

  * Part of the fix for NB#127507: do not block in parent when spawning
  * Fixes: NB#132451: detect mass storage mode properly

 -- Semi Malinen <semi.malinen@nokia.com>  Fri, 14 Aug 2009 10:37:56 +0000

dsme (0.60.24) unstable; urgency=low

  * Part of the fix for NB#123145: only prevent shutdown/reboot in USER mode

 -- Semi Malinen <semi.malinen@nokia.com>  Sun, 09 Aug 2009 09:58:33 +0000

dsme (0.60.23) unstable; urgency=low

  * Fixes: NB#130039: offload lifeguard statistics to the logger thread
  * Part of the fix for NB#123145: fix USB connection state detection

 -- Semi Malinen <semi.malinen@nokia.com>  Sat, 08 Aug 2009 10:11:23 +0000

dsme (0.60.22) unstable; urgency=low

  * Fixes: NB#129544: sync thermal manager to hwwd kicking

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 30 Jul 2009 15:01:57 +0000

dsme (0.60.21) unstable; urgency=low

  * Fixes: NB#127619: kick hwwd's every 12 s, process wd's every 24 s
  * Fixes: NB#126749: same as above
  * Part of the fix for NB#123145: deny shutdown/reboot when connected to PC

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 14 Jul 2009 08:21:08 +0000

dsme (0.60.20) unstable; urgency=low

  * Fixes: NB#124471: fix K to degrees C conversion heuristics

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 24 Jun 2009 19:04:45 +0000

dsme (0.60.19) unstable; urgency=low

  * revert the botched attempt at posixifying dsmetool-session

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 09 Jun 2009 10:31:37 +0000

dsme (0.60.18) unstable; urgency=low

  * NB#101783: allow setting of oom_adj for non-root users of dsmetool

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 09 Jun 2009 06:59:48 +0000

dsme (0.60.17) unstable; urgency=low

  * off-load logging to a separate thread to prevent main thread from blocking
  * attempt to posixify dsmetool-session

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 04 Jun 2009 14:40:42 +0000

dsme (0.60.16) unstable; urgency=low

  * log if wd's are kicked 1 s or more later than anticipated
  * log sender of shutdown/reboot/powerup request for D-Dbus

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 02 Jun 2009 09:00:59 +0000

dsme (0.60.15) unstable; urgency=low

  * make wd kick period only 5 seconds as a temporary workaround
  * remove separate hw wd thread and kick wd's from the main thread
  * kick hw wd's before sending process wd pings
  * log bootstate at startup
  * log sender of shutdown/reboot/powerup request for dsmesock

 -- Semi Malinen <semi.malinen@nokia.com>  Mon, 01 Jun 2009 08:59:05 +0000

dsme (0.60.14) unstable; urgency=low

  * Fixes: NB#112871: lock all pages to RAM
  * Fixes: NB#118702: lock all pages to RAM
  * Fixes: NB#118399: add a timeout to dsmetool
  * /etc/event.d/dsme: do not respawn dsme
  * /etc/event.d/dsme: waitfordsme in post-start script

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 27 May 2009 08:40:10 +0000

dsme (0.60.13) unstable; urgency=low

  * Fixes: NB#117923 - kick watchdogs 2 s before running 'telinit 0'
  * Fixes: NB#101783 - dsmetool supports -m for setting oom_adj
  * Estimate surface temperature as (BTEMP - 7)

 -- Semi Malinen <semi.malinen@nokia.com>  Mon, 18 May 2009 14:29:41 +0000

dsme (0.60.12) unstable; urgency=low

  * Part of the fix for NB#102069: re-enable hw wd kicking
  * Fixes: NB#100976 - do not write alarms to file if unchanged
  * Fixes: NB#115416 - write fewer lines to console from lifeguard
  * Part of the fix for NB#102544: add dsmetool flag -b to request reboot
  * Potential fix for NB#116253: do not syslog in signal handler
  * Fixes: NB#111827 - dsmetool now reports if -k fails
  * Fixes: NB#103369 - dsme now sources system wide resource limits

 -- Semi Malinen <semi.malinen@nokia.com>  Fri, 15 May 2009 07:16:05 +0000



=== debian/control ===
Source: libdsme-meecolay
Section: misc
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Semi Malinen <semi.malinen@nokia.com>
Uploaders: Ismo Laitinen <ismo.laitinen@nokia.com>, David Weinehall <david.weinehall@nokia.com>, Philippe De Swert <philippe.de-swert@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 pkg-config,
 libglib2.0-dev, maemo-optify
Standards-Version: 3.7.2

Package: libdsme0.2.0-meecolay
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: DSME dsmesock dynamic library
 This package contains dynamic libraries for programs that communicate with the
 Device State Management Entity.

Package: libdsme0.2.0-meecolay-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libdsme0.2.0-meecolay (= ${binary:Version})
Description: DSME dsmesock dynamic library (with debug symbols)
 This package contains dynamic libraries for programs that communicate with the
 Device State Management Entity.

Package: libdsme0.2.0-meecolay-dev
Section: libdevel
Architecture: any
Depends: libdsme0.2.0-meecolay (= ${binary:Version})
Description: Development files for dsme
 This package contains headers and static libraries needed to develop programs
 that want to communicate with the Device State Management Entity.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# To build testcases as well, add "testcases" to DEB_BUILD_OPTIONS
ifneq (,$(findstring testcases,$(DEB_BUILD_OPTIONS)))
	DH_OPTIONS=
else
	DH_OPTIONS=-Ndsme-testcases
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

#Architecture
build: build-stamp

build-stamp: configure-stamp

# To build testcases as well, add "testcases" to DEB_BUILD_OPTIONS
ifneq (,$(findstring testcases,$(DEB_BUILD_OPTIONS)))
	$(MAKE) tests
else
	$(MAKE)
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) distclean

	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs

	# Add here commands to install the package into
	# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	#mkdir $(CURDIR)/debian/tmp/etc/dsme

	# install tests (if needed)
ifneq (,$(findstring testcases,$(DEB_BUILD_OPTIONS)))
	$(MAKE) tests_install DESTDIR=$(CURDIR)/debian/tmp
endif

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs -XREADME
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=libdsme0.2.0-meecolay
	dh_compress
	dh_fixperms
	dh_makeshlibs --exclude=/usr/lib/dsme/
	dh_installdeb
	dh_shlibdeps -l$(CURDIR)/debian/libdsme0.2.0-meecolay/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build install
#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
#binary-arch: build install
#	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
